*{
    padding: 0;
    margin: 0;
}
body{
    background-color: #8da46a;
    font-family: 'Roboto', monospace;
}
header{
    background-color: #314333;
    color: white;
    display: grid;
    grid-template-columns: 5% 95%;
    text-align: center;
    min-height: 125px;
    align-items: center;
}
#header-text-wrap{
    width: 80%;
    margin-left: 85px;
    display: grid;
    grid-template-rows: auto auto;
    grid-row: 1 / span 2;
}
#header-text-wrap>h1{
    font-size: 2.5em;
}
#home-btn{
    display: inline;
    grid-row: 1;
    cursor: pointer;
    background-color: #8da46a;
    border-radius: 10px;
    border: 2px solid black;
    text-align: center;
    padding: 5px;
    margin: 0px 4px;
    min-width: 55px;
}
#home-btn :hover{
    background-color: #cbe4a6;
}
#home-btn-icon{
    font-size: 48px;
    color: black;
}
#home-btn-icon :hover{
    color: white;
}
main{
    background-color: rgb(204, 204, 170);
    margin: 25px auto 0 auto;
    padding: 10px 10px 0px 10px;
    min-height: 400px;
    width: 95%;
    display: grid;
    grid-template-columns: repeat(5,auto);
    justify-items: center;
    border: 12px solid #45614b;
    border-radius: 15px;
}
#new-timer-btn{
    position: fixed;
    bottom: 20px;
    right: 20px;
    height: 125px;
    width: 125px; 
    padding: 5px;  
    border-radius: 75px;
    background-color: rgba(51, 255, 51, .55);
    border: 2px solid black;
    display: grid;
    text-align: center;
    cursor: pointer;
}
#new-timer-btn :hover{
    background-color: rgba(135, 233, 135, 0.55);
}
.timer-card{
    background-color: rgba(51, 255, 51, .55);
    align-items: center;
    margin: 8px 6px;
    border: 2px solid black;
    border-radius: 35px;
    height: 150px;
    width: 150px;
    text-align: center;
    overflow: hidden;
    display: grid;
    grid-template-rows: 80% 30%;
    overflow: hidden;
}
.timer-name{
    cursor: pointer;
}
#add-timer-btn{
    font-size: 48px;
    align-self: center;
}
#overlay{
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    min-height: 450px;
    height: 100%;
    background-color: rgba(25, 25, 25, .75);
    display: none;
    text-align: center;
}
.modal{
    display: none;
    width: 50%;
    position: fixed;
    top: 25%;
    left: 30%;
    background-color: #45614b;
    border: 2px solid black;
    max-width: 500px;
    max-height: 400px;
    min-height: 200px;
}
.close-modal-btn{
    position: absolute;
    top: 0;
    right: 0;
    padding: 4px;
    font-size: 24px;
    cursor: pointer;
}
#create-modal>h1{
    padding: 2px;
}
form{
    padding: 5px;
}
input{
    padding: 5px;
    margin: 5px;
}
button{
    padding: 10px;
    margin: 10px;
}
.timer-name-display{
    background-color: #8da46a;
    padding-top: 2px;
    text-align: center;
    max-height: 50px;
}
.timer-display{
    background-color: white;
    border: 2px solid black;
    width: 50%;
    margin: auto;
    margin-top: 50px;
}
#delete-timer-small{
    border: 1px solid black;
    width: 100%;
    height: 100%;
    background-color: red;
    color: white;
    border-radius: 50px;
    cursor: pointer;
}
#delete-timer-small :hover{
    background-color: rgb(251, 121, 121);
}
footer{
    height: 200px;
    background-color: #181818;
    margin-top: 50px;
    border-top: 2px solid black;
    color: #8da46a;
    text-align: center;
    height: auto;
}
#icons-wrap{
    width: 95%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3,auto);
    grid-template-rows: auto;
    justify-items: center;
    padding: 5px 0px;
}
.icon{
    height: auto;
    width: 100%;
    grid-row: 1;
}
@media screen and (max-width: 900px){
    header{
        grid-template-columns: auto;
        grid-template-rows: 10% 90%;
    }
    #header-text-wrap{
        margin: auto;
    }
    #home-btn{
        min-width: 25px;
        max-width: 45px;
        }
    #home-btn-icon{
        font-size: 24px;
    }
    main{
        grid-template-columns: repeat(3,auto);
        min-width: 250px;
        max-width: 700px;
        min-height: calc(100vh - 325px);/*Viewport height -(header height+footer height) 
        --This line forces the content to take up entire height of screen on smaller screens*/
    }
    #new-timer-btn{
        padding: 3px;
    }
    .timer-card{
        margin: 2px;
        
    }
}
@media (max-width: 700px){
    header{
        grid-template-columns: auto;
        grid-template-rows: auto auto;
    }
    #header-text-wrap{
        grid-row: 2;
        gap: 5%;
        margin-bottom: 2%;
    }
    #header-text-wrap>h4{
        font-size: 1.5em;
    }
    #home-btn-icon{
        font-size: 36px;
    }
    #home-btn{
        height: 45px;
        max-width: 45px;
        margin: 10px 0px 0px 10px;
        grid-row: 1;
        display: grid;
        align-items: center;
        }
    
    #new-timer-btn{
        padding: 2px;
        width: 100px;
        height: 100px;
        font-size: .9em;
        bottom: 60px;
    } 
    #add-timer-btn{
        font-size: 36px;
    }   
    main{
        grid-template-columns: auto;
        min-width: 175px;
        max-width: calc(100vw - 35px);
        gap: 20px;
        padding: 5px;
        border: 9px solid #45614b;

    }
    .timer-card{
        width: 80%;
        max-width: 200px;
        max-height: 150px;
    }
    .modal{
        width: 85%;
        left: 7.5%;
    }
    .close-modal-btn{
        font-size: 24px;
    }
    .icon{
        max-width: 72px;
    }    
}